from Products.CMFPlacefulWorkflow import install_globals
from Products.CMFPlacefulWorkflow.global_symbols import *
from Products.CMFPlacefulWorkflow.Installation import Installation
from OFS.Cache import Cache
from Products.CMFCore.utils import getToolByName
from cStringIO import StringIO
from Products.CMFPlacefulWorkflow.PlacefulWorkflowTool import addPlacefulWorkflowTool
import string
from Products.CMFCore.DirectoryView import addDirectoryViews

#perms_list = (PlacefulWorkflowPolicy_editPermission, )

skin_name="CMFPlacefulWorkflow"
fti_list=[]

product_name = "CMFPlacefulWorkflow"

def setupTools(self):
    tool = 'Placeful Workflow Tool'
    id = "portal_placeful_workflow"
    found=0
    for obj in self.objectValues():
        if obj.meta_type == tool:
            self.manage_delObjects([id, ])
    addPlacefulWorkflowTool(self)

def install(self):
    installation=Installation(self)
    addDirectoryViews(installation.skinsTool, 'skins', install_globals)
    installation.installSubSkin(skin_name)
#    installation.setPermissions(perms_list)
    setupTools(self)

    # Install configlet
    cptool = getToolByName(self, 'portal_controlpanel')
    try:
        cptool.unregisterConfiglet(placeful_prefs_configlet['id'])
    except:
        pass
    cptool.registerConfiglet(**placeful_prefs_configlet)

    return installation.report()

