##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################
""" Placeful Workflow tool interface.
"""

from Interface import Attribute
try:
    from Interface import Interface
except ImportError:
    # for Zope versions before 2.6.0
    from Interface import Base as Interface

_marker = []


class portal_workflow_policy(Interface):
    '''
    '''
    id = Attribute('id', 'Must be set to "portal_workflow_policy"')

    # security.declarePublic('getMaxChainLength')
    def getMaxChainLength(self):
        """Return the max workflow chain length"""

    # security.declarePublic('getMaxChainLength')
    def setMaxChainLength(self, max_chain_length):
        """Set the max workflow chain length"""


class WorkflowPolicyDefinition(Interface):
    '''
    '''

    pass