## Script (Python) "placeful_workflow_configuration_set"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=policy_in='', policy_below=''
##title=set placeful workflow configuration
##
request = context.REQUEST

config = context.portal_placeful_workflow.getWorkflowPolicyConfig(context)

if not config:
    msg = "No config in this folder"
else:
    if context.portal_placeful_workflow.getWorkflowPolicyById(policy_in):
        config.setPolicyIn(policy=policy_in)
    elif policy_in=='':
        config.setPolicyIn(policy='')
    else:
        raise str(policy_in)

    if context.portal_placeful_workflow.getWorkflowPolicyById(policy_below):
        config.setPolicyBelow(policy=policy_below)
    elif policy_below=='':
        config.setPolicyBelow(policy='')
    else:
        raise str(policy_below)

    msg="Changed policies"

context.REQUEST.RESPONSE.redirect('placeful_workflow_configuration?portal_status_message=' + msg)
